| vrnafoldpf

## Function

Secondary structures of RNAs with partition

## Description

This is a port of the Vienna RNA package program RNAfold.

The original program has additional inputs and produces different outputs, depending on the options selected. In the EMBASSY implementation it is split into vrnafold for a single sequence and vrnafoldpair for a pair of sequences See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Algorithm

## Usage

Here is a sample session with vrnafoldpf

    % vrnafoldpf -temperature 42
    Secondary structures of RNAs with partition
    Input nucleotide sequence: rna2.seq
    Vienna RNAfold output file [rna2.vrnafoldpf]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-outfile]           outfile    [*.vrnafoldpf] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -circular           boolean    [N] Allow circular RNA
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string is accepted)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -scale              float      [1.07] Estimate of ensemble free energy (Any
                                      numeric value)
       -dangles            menu       [1] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -adotoutfile        outfile    [*.vrnafoldpf] Vienna dotplot postscript
                                      output file
       -bdotoutfile        outfile    [*.vrnafoldpf] Vienna dotplot postscript
                                      output file
       -ssoutfile          outfile    [*.vrnafoldpf] Vienna structure postscript
                                      output file

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       "-adotoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-bdotoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-ssoutfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outfile] (Parameter 2) | Vienna RNAfold output file | Output file | <*>.vrnafoldpf
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-constraintfile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | Temperature | Any numeric value | 37.0
-circular | Allow circular RNA | Boolean value Yes/No | No
-[no]gu | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | Convert T to U | Boolean value Yes/No | Yes
-nsbases | Non-standard bases | Any string is accepted | An empty string is accepted
-[no]tetraloop | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes

-energy

Rarely used option to fold sequences from the ABCD... alphabet

0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)

0

-scale | Estimate of ensemble free energy | Any numeric value | 1.07

-dangles

Method

0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)

1

-adotoutfile | Vienna dotplot postscript output file | Output file | <*>.vrnafoldpf
-bdotoutfile | Vienna dotplot postscript output file | Output file | <*>.vrnafoldpf
-ssoutfile | Vienna structure postscript output file | Output file | <*>.vrnafoldpf

## Input file format

vrnafoldpf reads any normal sequence USAs.

### Input files for usage example

### File: rna2.seq

    >rna2
    UUGGAGUACACAACCUGUACACUCUUUC

## Output file format

vrnafoldpf outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: rna2.ssps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%Title: RNA Secondary Structure Plot
    %%BoundingBox: 66 210 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -T 42.000000
    % to switch off outline pairs of sequence comment or
    % delete the appropriate line near the end of the file

    %%BeginProlog
    /RNAplot 100 dict def
    RNAplot begin
    /fsize  14 def
    /outlinecolor {0.2 setgray} bind def
    /paircolor    {0.2 setgray} bind def
    /seqcolor     {0   setgray} bind def
    /cshow  { dup stringwidth pop -2 div fsize -3 div rmoveto show} bind def
    /min { 2 copy gt { exch } if pop } bind def
    /max { 2 copy lt { exch } if pop } bind def
    /drawoutline {
      gsave outlinecolor newpath
      coor 0 get aload pop 0.8 0 360 arc % draw 5' circle of 1st sequence
      currentdict /cutpoint known        % check if cutpoint is defined
      {coor 0 cutpoint getinterval
       {aload pop lineto} forall         % draw outline of 1st sequence
       coor cutpoint get aload pop
       2 copy moveto 0.8 0 360 arc       % draw 5' circle of 2nd sequence
       coor cutpoint coor length cutpoint sub getinterval
       {aload pop lineto} forall}        % draw outline of 2nd sequence
      {coor {aload pop lineto} forall}   % draw outline as a whole
      ifelse
      stroke grestore
    } bind def
    /drawpairs {
      paircolor
      0.7 setlinewidth
      [9 3.01] 9 setdash
      newpath
      pairs {aload pop
         coor exch 1 sub get aload pop moveto
         coor exch 1 sub get aload pop lineto
      } forall
      stroke
    } bind def
    % draw bases
    /drawbases {

      [Part of this file has been deleted for brevity]

    /sequence (\
    UUGGAGUACACAACCUGUACACUCUUUC\
    ) def
    /coor [
    [76.692 130.261]
    [66.889 119.044]
    [62.122 104.929]
    [63.117 90.065]
    [69.723 76.712]
    [80.934 66.902]
    [76.144 52.687]
    [71.355 38.472]
    [66.565 24.257]
    [61.776 10.043]
    [48.100 1.655]
    [46.274 -14.284]
    [57.698 -25.547]
    [73.609 -23.494]
    [81.802 -9.701]
    [75.990 5.253]
    [80.780 19.468]
    [85.569 33.683]
    [90.359 47.897]
    [95.148 62.112]
    [110.010 63.138]
    [123.350 69.771]
    [133.137 81.002]
    [137.884 95.122]
    [136.869 109.985]
    [130.245 123.329]
    [119.021 133.124]
    [104.903 137.881]
    ] def
    /pairs [
    [6 20]
    [7 19]
    [8 18]
    [9 17]
    [10 16]
    ] def

    init

    % switch off outline pairs or bases by removing these lines
    drawoutline
    drawpairs
    drawbases
    % show it
    showpage
    end
    %%EOF

### Graphics File: rna2.ps

### File: rna2.ps2

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -T 42.000000
    % Probabilities for stacked pairs (i,j)(i+1,j-1)
    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate
        0 1 len 1 sub {
         dup 0 moveto

      [Part of this file has been deleted for brevity]

    7 17 0.003363066 ubox
    7 19 0.806369320 ubox
    7 21 0.571948019 ubox
    8 16 0.005588458 ubox
    8 18 0.867252863 ubox
    9 17 0.869450272 ubox
    10 16 0.765192299 ubox
    10 18 0.465646147 ubox
    11 17 0.474046413 ubox
    12 16 0.293537313 ubox
    12 18 0.006203375 ubox
    13 18 0.010243061 ubox
    17 22 0.004916079 ubox
    17 24 0.003978294 ubox
    21 25 0.003495774 ubox
    21 26 0.006231260 ubox
    21 27 0.006187568 ubox
    1 13 0.0145421 lbox
    2 10 0.0111590 lbox
    2 12 0.0181003 lbox
    2 17 0.0061036 lbox
    2 19 0.0106114 lbox
    2 21 0.0096756 lbox
    3 15 0.0121334 lbox
    3 16 0.0110798 lbox
    3 23 0.3850400 lbox
    3 24 0.0697088 lbox
    3 25 0.5832047 lbox
    3 26 0.0053010 lbox
    3 27 0.0193731 lbox
    3 28 0.0269476 lbox
    4 24 0.6809466 lbox
    4 26 0.0256399 lbox
    4 27 0.0277023 lbox
    4 28 0.0153939 lbox
    5 16 0.0131388 lbox
    5 23 0.6331162 lbox
    5 25 0.0201391 lbox
    5 26 0.0059229 lbox
    5 27 0.0038129 lbox
    6 14 0.0115354 lbox
    6 20 0.7699092 lbox
    6 22 0.5719158 lbox
    7 19 0.8058871 lbox
    8 18 0.8659380 lbox
    9 17 0.7651279 lbox
    10 18 0.4631454 lbox
    11 17 0.2934067 lbox
    showpage
    end
    %%EOF

### File: rna2.vrnafoldpf

    UUGGAGUACACAACCUGUACACUCUUUC
    .....(((((.....)))))........ ( -3.47)
    ..{(,(((((.....)))}}.}},,... [ -4.45]
    .....(((((.....)))))........ { -3.47 d=4.61}
     frequency of mfe structure in ensemble 0.209182; ensemble diversity 6.08

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments